;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;                                                                     ;;;
;;;                      JUNTA DE ANDALUCÍA                             ;;;
;;;                      Copyright (c) 2007                             ;;;
;;;                      All Rights Reserved.                           ;;;
;;;                                                                     ;;;
;;;  Distribution policy.                                               ;;;
;;;                                                                     ;;;
;;;  Free for any use.                                                  ;;;
;;;                                                                     ;;;
;;;  All the work is based on the Festvox Toolkit, provided by:         ;;;
;;;    - Carnegie Mellon University (http://www.festvox.org)            ;;;
;;;                                                                     ;;;
;;;  The copyright below belongs to the original Festvox project; it    ;;;
;;;  therefore applies to the present work.                             ;;;
;;;                                                                     ;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;                                                                     ;;;
;;;  Standard Spanish male voice                                        ;;;
;;;                                                                     ;;;
;;;  Contractor: Consejería de Innovación, Ciencia y Empresa            ;;;
;;;              de la Junta de Andalucía                               ;;;
;;;                                                                     ;;;
;;;  Developed by: MP Sistemas and                                      ;;;
;;;                Intelligent Dialogue Systems S.L. (INDISYS)          ;;;
;;;                                                                     ;;;
;;;  Authors:   Del Solar, Carmen <c.delsolar@indisys.es>               ;;;
;;;             González, Jesús   <j.gonzalez@indisys.es>               ;;;
;;;             Manchón, Pilar    <p.manchon@indisys.es>                ;;;
;;;             Martín, Antonio   <amam@mpsistemas.es>                  ;;;
;;;             Martínez, Diego   <d.martinez@indisys.es>               ;;;
;;;             Pérez, Guillermo  <g.perez@indisys.es>                  ;;;
;;;             Varela, Víctor    <vmvr@mpsistemas.es>                  ;;;
;;;                                                                     ;;;
;;;  Voice Talent:  Pedro Alonso                                        ;;;
;;;                                                                     ;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;                                                                     ;;;
;;;                     Carnegie Mellon University                      ;;;
;;;                  and Alan W Black and Kevin Lenzo                   ;;;
;;;                      Copyright (c) 1998-2000                        ;;;
;;;                        All Rights Reserved.                         ;;;
;;;                                                                     ;;;
;;; Permission is hereby granted, free of charge, to use and distribute ;;;
;;; this software and its documentation without restriction, including  ;;;
;;; without limitation the rights to use, copy, modify, merge, publish, ;;;
;;; distribute, sublicense, and/or sell copies of this work, and to     ;;;
;;; permit persons to whom this work is furnished to do so, subject to  ;;;
;;; the following conditions:                                           ;;;
;;;  1. The code must retain the above copyright notice, this list of   ;;;
;;;     conditions and the following disclaimer.                        ;;;
;;;  2. Any modifications must be clearly marked as such.               ;;;
;;;  3. Original authors' names are not deleted.                        ;;;
;;;  4. The authors' names are not used to endorse or promote products  ;;;
;;;     derived from this software without specific prior written       ;;;
;;;     permission.                                                     ;;;
;;;                                                                     ;;;
;;; CARNEGIE MELLON UNIVERSITY AND THE CONTRIBUTORS TO THIS WORK        ;;;
;;; DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING     ;;;
;;; ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT  ;;;
;;; SHALL CARNEGIE MELLON UNIVERSITY NOR THE CONTRIBUTORS BE LIABLE     ;;;
;;; FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES   ;;;
;;; WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN  ;;;
;;; AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,         ;;;
;;; ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF      ;;;
;;; THIS SOFTWARE.                                                      ;;;
;;;                                                                     ;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Duration models autotrained by festvox
;; dur.S50.tree
(set! JuntaDeAndalucia_es_pa_durtreeZ::phone_durs '
((# 0.2 0.1)
 (hh 0.128333 0.011547)
 (v 0.055 0)
 (z 0.1925 0.153412)
 (zh 0.071667 0.010408)
 (sh 0.159063 0.031317)
 (ax 0.114792 0.033247)
 (g 0.065618 0.028166)
 (G 0.061273 0.0108)
 (ch 0.10881 0.023161)
 (th 0.084569 0.020218)
 (x 0.101895 0.032812)
 (rr 0.06273 0.039562)
 (D 0.046703 0.013427)
 (l 0.064452 0.037988)
 (u1 0.088183 0.028937)
 (B 0.056447 0.044375)
 (a1 0.07501 0.021418)
 (ll 0.074762 0.05134)
 (n 0.060139 0.037319)
 (p 0.079495 0.03356)
 (e 0.061907 0.027652)
 (ny 0.082412 0.017889)
 (e1 0.072743 0.033709)
 (a 0.079118 0.086339)
 (i1 0.071536 0.022886)
 (b 0.061173 0.038494)
 (d 0.049035 0.029053)
 (u 0.070935 0.027489)
 (t 0.071116 0.016581)
 (f 0.085903 0.025982)
 (o1 0.080078 0.031258)
 (s 0.080787 0.039158)
 (o 0.071613 0.030791)
 (r 0.027176 0.013938)
 (k 0.072552 0.021553)
 (i 0.059276 0.023183)
 (m 0.063159 0.032943)
 (dh 0.04 0.013333))
; (# 0.189557 0.061599))
)


(set! JuntaDeAndalucia_es_pa_durtreeZ::zdur_tree '
((name is #)
 ((p.R:SylStructure.parent.parent.pbreak is BB)
  ((0.0 2.0))
  ((0.0 0.0)))
((p.name is #)
 ((ph_cvox is -)
  ((ph_ctype is s)
   ((R:SylStructure.parent.syl_break is 1)
    ((2.30991 1.94515))
    ((n.ph_vfront is 1)
     ((1.86148 1.85402))
     ((name is p) ((0.69144 0.533872)) ((1.41689 0.973985)))))
   ((name is a)
    ((0.443971 0.799715))
    ((R:SylStructure.parent.sub_phrases < 0.3)
     ((n.ph_vfront is 1)
      ((1.39391 3.98703))
      ((nn.ph_vc is -)
       ((ph_vfront is 1) ((1.53796 3.1808)) ((0.756359 3.38516)))
       ((1.55636 3.4571))))
     ((R:SylStructure.parent.syl_break is 0)
      ((1.11727 2.1147))
      ((1.55587 2.30704))))))
  ((R:SylStructure.parent.sub_phrases < 0.5)
   ((ph_ctype is l)
    ((1.11807 3.50265))
    ((ph_cplace is l) ((1.481 4.20633)) ((2.09146 5.04049))))
   ((1.14279 1.52287))))
 ((R:SylStructure.parent.syl_break is 4)
  ((nn.ph_vc is 0)
;   ((1.70926 4.78472))
   ((1.70926 0.5))
   ((seg_onsetcoda is coda)
    ((n.name is n)
     ((0.497065 0.139525))
     ((name is o)
      ((R:SylStructure.parent.sub_phrases < 0.4)
       ((0.79666 1.77373))
       ((0.889351 2.14368)))
      ((name is r)
       ((1.17577 0.849612))
       ((ph_vfront is 2)
        ((n.ph_cplace is a) ((0.725224 0.980849)) ((1.05963 1.46739)))
        ((n.name is s)
         ((0.628109 2.28455))
         ((name is e)
          ((0.641419 1.03102))
          ((p.name is o)
           ((0.557269 1.30215))
           ((ph_vfront is -)
            ((R:SylStructure.parent.sub_phrases < 0.3)
             ((R:SylStructure.parent.R:Syllable.p.accented is 0)
              ((1.19227 1.85568))
              ((0.969022 1.63016)))
             ((0.672684 1.40326)))
            ((1.05028 1.36512))))))))))
    ((n.name is o)
     ((name is D)
      ((1.22167 1.66806))
      ((ph_cvox is -) ((0.919406 1.13308)) ((0.83744 0.803072))))
     ((nn.ph_vheight is 2)
      ((0.571243 0.0455494))
      ((ph_ctype is n)
       ((0.448895 0.144386))
       ((name is l)
        ((0.587709 0.204263))
        ((n.ph_vfront is 1)
         ((n.name is e) ((0.822568 0.708642)) ((0.806668 0.32238)))
         ((R:SylStructure.parent.sub_phrases < 0.3)
          ((R:SylStructure.parent.last_accent < 1.5)
           ((ph_cplace is d)
            ((1.01687 0.944189))
            ((ph_cvox is -)
             ((0.843629 0.897956))
             ((0.884274 0.467237))))
           ((0.664106 0.439499)))
          ((3.53859 1.1544))))))))))
  ((R:SylStructure.parent.syl_break is 3)
   ((seg_onsetcoda is coda)
    ((ph_vfront is 1)
     ((1.54811 2.18613))
     ((name is s)
      ((0.389023 0.407656))
      ((name is a)
       ((0.289453 0.470833))
       ((R:SylStructure.parent.sub_phrases < 0.4)
        ((name is o) ((1.05929 1.41669)) ((1.20859 1.70452)))
        ((1.14275 1.27519))))))
    ((ph_cplace is d)
     ((0.863202 0.899176))
     ((ph_cvox is -)
      ((0.658031 0.540551))
      ((n.ph_vfront is 3) ((0.558895 0.41238)) ((0.497767 0.231486))))))
   ((n.name is r)
    ((name is t)
     ((nn.ph_vheight is 3)
      ((0.568259 -0.538694))
      ((0.642683 -0.349017)))
     ((name is p)
      ((0.444915 -0.489002))
      ((p.name is a)
       ((0.859887 0.075))
;       ((0.859887 0.785532))
       ((R:SylStructure.parent.sub_phrases < 0.4)
        ((name is a)
         ((nn.ph_vc is -) ((0.16699 -0.113403)) ((0.155072 -0.113751)))
         ((p.name is i)
          ((0.531686 -0.0819976))
          ((p.name is p)
           ((R:SylStructure.parent.last_accent < 0.3)
            ((0.576338 0.145203))
            ((0.518972 -0.125749)))
           ((p.name is f)
            ((0.400295 -0.112834))
            ((pp.ph_vrnd is -)
             ((p.name is t)
              ((R:SylStructure.parent.last_accent < 1.2)
               ((0.493027 -0.0529085))
               ((0.939108 0.15413)))
              ((name is e1)
               ((nn.ph_vc is -)
                ((0.707209 0.0349626))
                ((0.502122 0.168749)))
               ((ph_vfront is 1)
                ((name is e)
                 ((0.537112 0.541984))
                 ((0.948531 0.927242)))
                ((ph_cvox is -)
                 ((R:SylStructure.parent.last_accent < 1.5)
                  ((R:SylStructure.parent.syl_break is 0)
                   ((nn.ph_vc is -)
                    ((0.893042 0.41489))
                    ((0.71244 0.303008)))
                   ((0.686878 0.442513)))
                  ((nn.ph_vc is -)
                   ((0.456255 0.279168))
                   ((0.562829 0.176551))))
                 ((0.454496 0.0439836))))))
             ((R:SylStructure.parent.syl_break is 0)
              ((0.46199 0.0570318))
              ((0.488269 0.0195211))))))))
        ((nn.ph_vc is -)
         ((ph_vfront is 1) ((0.475284 -0.142644)) ((0.383366 -0.2664)))
         ((ph_vfront is 2)
          ((0.653888 -0.184272))
          ((nn.ph_vheight is 2)
           ((0.535215 0.113032))
           ((0.687725 0.0549411)))))))))
    ((p.name is r)
     ((seg_onsetcoda is coda)
      ((name is i)
       ((0.77617 0.277282))
       ((n.ph_vfront is 2)
        ((0.84299 0.125782))
        ((n.ph_vfront is 1)
         ((0.364089 -0.592139))
         ((n.ph_cplace is a)
          ((nn.ph_vc is -)
           ((n.name is s)
            ((0.461336 -0.128104))
            ((ph_vfront is 1)
             ((0.30151 -0.285988))
             ((0.400039 -0.327361))))
           ((ph_vfront is 1)
            ((0.570969 -0.322041))
            ((ph_vfront is 2)
             ((0.357002 -0.411673))
             ((0.513973 -0.607075)))))
          ((nn.ph_vheight is 2)
           ((n.ph_cplace is l)
            ((0.403943 -0.346719))
            ((R:SylStructure.parent.R:Syllable.p.accented is 0)
             ((0.371579 -0.171303))
             ((0.39572 -0.264635))))
           ((name is a)
            ((0.154377 -0.227369))
            ((R:SylStructure.parent.last_accent < 0.4)
             ((name is e) ((0.557724 -0.0831463)) ((1.06388 0.268398)))
             ((ph_vfront is 1)
              ((0.507374 -0.185257))
              ((0.552583 -0.142759))))))))))
      ((ph_ctype is f)
       ((n.ph_vfront is 1) ((1.05474 0.731346)) ((0.600872 0.457328)))
       ((n.name is a)
        ((0.636709 -0.0694083))
        ((ph_ctype is s)
         ((ph_cvox is -)
          ((name is k) ((0.644737 0.586476)) ((0.689311 0.416616)))
          ((n.name is e) ((0.441325 0.275762)) ((0.568554 0.271055))))
         ((n.name is o)
          ((0.403799 -0.10922))
          ((name is m) ((0.312024 -0.0280399)) ((0.7039 0.342093))))))))
     ((p.name is a1)
      ((ph_vfront is -)
       ((n.ph_vfront is 2)
        ((ph_ctype is f)
         ((name is D) ((0.444015 -0.233229)) ((0.351938 -0.117606)))
         ((ph_ctype is l)
          ((0.352326 -0.256172))
          ((0.489647 -0.311838))))
        ((n.name is l)
         ((0.82888 0.287523))
         ((ph_ctype is s)
          ((0.632175 0.200478))
          ((n.name is i)
           ((0.424975 -0.243722))
           ((R:SylStructure.parent.sub_phrases < 0.3)
            ((nn.ph_vheight is 2)
             ((ph_ctype is l)
              ((0.740789 0.289179))
              ((0.61337 0.0714948)))
             ((ph_ctype is l)
              ((n.ph_vfront is -)
               ((0.771981 0.127579))
               ((0.945731 0.00935548)))
              ((seg_onsetcoda is coda)
               ((0.500056 -0.2075))
               ((name is D)
                ((0.526251 -0.146695))
                ((0.63729 0.0852896))))))
            ((ph_ctype is l)
             ((0.353474 -0.23663))
             ((0.707261 -0.158436))))))))
       ((0.802915 0.525583)))
      ((p.name is i1)
       ((name is D)
        ((0.813771 0.692411))
        ((ph_ctype is l)
         ((0.752207 0.295114))
         ((ph_vfront is 2)
          ((0.195531 -0.323827))
          ((name is s)
           ((0.452641 -0.3403))
           ((lisp_onset_nasal is 0)
            ((ph_cplace is v)
             ((0.60028 -0.205931))
             ((seg_onsetcoda is coda)
              ((0.883944 0.419397))
              ((ph_ctype is s)
               ((0.49049 0.285644))
               ((0.558373 -0.0172134)))))
            ((0.317185 -0.254663)))))))
       ((p.name is rr)
        ((ph_vfront is 2)
         ((0.249401 -0.0875653))
         ((R:SylStructure.parent.last_accent < 0.3)
          ((0.671221 0.305725))
          ((0.715902 0.117355))))
        ((p.name is d)
         ((name is o)
          ((0.411429 -0.768082))
          ((R:SylStructure.parent.syl_break is 0)
           ((n.ph_vfront is -)
            ((name is i)
             ((0.470255 -0.159655))
             ((n.name is s)
              ((nn.ph_vheight is 2)
               ((0.449167 0.280203))
               ((R:SylStructure.parent.R:Syllable.p.accented is 0)
                ((0.469613 0.231379))
                ((0.491394 0.0746421))))
              ((R:SylStructure.parent.last_accent < 0.4)
               ((0.441944 0.0331269))
               ((0.495005 -0.0223303)))))
            ((0.904401 0.52869)))
           ((n.ph_cplace is d)
            ((0.860158 0.441386))
            ((n.ph_vfront is 1)
             ((0.621292 -0.476495))
             ((n.name is l)
              ((0.265796 -0.337916))
              ((nn.ph_vheight is 2)
               ((0.496965 0.0881751))
               ((n.name is s)
                ((0.407516 -0.355062))
                ((n.ph_vfront is -)
                 ((0.424976 -0.0794568))
                 ((0.587091 -0.219409))))))))))
         ((p.name is b)
          ((ph_ctype is l)
           ((0.646876 -0.512733))
           ((n.ph_vfront is 1)
            ((0.834631 -0.250256))
            ((R:SylStructure.parent.R:Syllable.p.accented is 0)
             ((R:SylStructure.parent.last_accent < 1.5)
              ((nn.ph_vc is -)
               ((0.718926 0.370877))
               ((0.599404 0.486831)))
              ((0.682465 0.0228003)))
             ((n.ph_cplace is a)
              ((0.463239 -0.0430432))
              ((0.522109 0.165059))))))
          ((n.name is u1)
           ((ph_cvox is -)
            ((ph_ctype is s)
             ((0.947886 0.559979))
             ((0.749154 0.42201)))
            ((ph_ctype is n)
             ((0.298279 -0.307425))
             ((0.264808 -0.259007))))
           ((p.name is n)
            ((name is o1)
             ((nn.ph_vheight is 2)
              ((0.781555 0.611118))
              ((0.875954 0.343684)))
             ((n.name is o1)
              ((0.954761 0.512383))
              ((name is d)
               ((n.name is e)
                ((0.259695 -0.59857))
                ((R:SylStructure.parent.syl_break is 0)
                 ((0.249373 -0.5287))
                 ((0.251469 -0.446204))))
               ((ph_vfront is 1)
                ((n.ph_cplace is d)
                 ((0.373619 0.260188))
                 ((n.ph_cplace is a)
                  ((name is e)
                   ((n.name is s)
                    ((0.357178 0.021445))
                    ((0.46818 -0.0508824)))
                   ((0.315186 -0.2336)))
                  ((n.ph_cplace is v)
                   ((0.374503 -0.0259321))
                   ((0.644312 0.106621)))))
                ((name is f)
                 ((0.755797 -0.612077))
                 ((ph_vfront is -)
                  ((n.name is a)
                   ((ph_ctype is s)
                    ((0.534878 -0.464685))
                    ((0.437223 -0.300148)))
                   ((R:SylStructure.parent.sub_phrases < 0.3)
                    ((n.name is a1)
                     ((0.691843 0.160785))
                     ((nn.ph_vc is -)
                      ((ph_ctype is s)
                       ((R:SylStructure.parent.R:Syllable.p.stress
                         is
                         0)
                        ((name is t)
                         ((0.961779 0.0482886))
                         ((0.428195 -0.257119)))
                        ((0.519029 -0.370459)))
                       ((R:SylStructure.parent.R:Syllable.p.accented
                         is
                         0)
                        ((0.550572 -0.136845))
                        ((0.916459 0.08836))))
                      ((n.name is i)
                       ((0.782025 -0.242339))
                       ((n.ph_vfront is 1)
                        ((0.812702 0.325333))
                        ((0.807391 0.0758997))))))
                    ((R:SylStructure.parent.R:Syllable.p.accented is 0)
                     ((0.70634 -0.0971424))
                     ((0.511552 -0.476845)))))
                  ((R:SylStructure.parent.R:Syllable.p.accented is 0)
                   ((nn.ph_vc is -)
                    ((0.618331 -0.0827541))
                    ((n.ph_cplace is d)
                     ((0.417189 -0.152495))
                     ((0.471071 -0.320694))))
                   ((name is a)
                    ((pp.ph_vrnd is -)
                     ((0.190052 -0.192934))
                     ((0.143346 -0.33909)))
                    ((0.377727 -0.527974))))))))))
            ((name is r)
             ((R:SylStructure.parent.last_accent < 0.5)
              ((p.name is a)
               ((0.799174 0.608721))
               ((R:SylStructure.parent.R:Syllable.p.accented is 0)
                ((0.947983 0.265917))
                ((n.ph_vfront is 2)
                 ((0.622509 0.0886223))
                 ((p.name is e1)
                  ((0.545604 -0.340761))
                  ((nn.ph_vheight is 2)
                   ((0.415354 -0.26745))
                   ((n.ph_vfront is 1)
                    ((0.642333 -0.0641368))
                    ((R:SylStructure.parent.R:Syllable.p.stress is 0)
                     ((0.446803 -0.20671))
                     ((0.689338 -0.0787454)))))))))
              ((n.name is e1)
               ((0.43353 -0.585712))
               ((n.name is o)
                ((0.35625 -0.433629))
                ((p.name is t)
                 ((0.747675 0.0464576))
                 ((n.ph_vfront is -)
                  ((p.name is o)
                   ((0.382037 -0.281391))
                   ((p.name is o1)
                    ((0.400316 -0.257647))
                    ((n.ph_cplace is d)
                     ((0.866779 -0.0386046))
                     ((0.690309 0.102758)))))
                  ((p.name is e)
                   ((0.32742 -0.412357))
                   ((R:SylStructure.parent.last_accent < 1.4)
                    ((R:SylStructure.parent.syl_break is 0)
                     ((0.470349 -0.123873))
                     ((0.292596 -0.262411)))
                    ((n.ph_vfront is 2)
                     ((0.292956 -0.298259))
                     ((0.536855 -0.29278))))))))))
             ((p.name is m)
              ((ph_vfront is 3)
               ((R:SylStructure.parent.R:Syllable.p.stress is 0)
                ((R:SylStructure.parent.R:Syllable.p.accented is 0)
                 ((0.968909 0.704069))
                 ((0.776317 0.407069)))
                ((0.627106 0.0684257)))
               ((ph_cplace is l)
                ((0.260359 -0.66877))
                ((ph_vfront is 1)
                 ((n.ph_cplace is a)
                  ((R:SylStructure.parent.sub_phrases < 0.2)
                   ((name is e)
                    ((0.465334 -0.284677))
                    ((0.362709 -0.355083)))
                   ((0.410465 -0.504753)))
                  ((R:SylStructure.parent.R:Syllable.p.accented is 0)
                   ((0.588577 -0.145191))
                   ((0.415431 -0.234591))))
                 ((name is a)
                  ((R:SylStructure.parent.R:Syllable.p.accented is 0)
                   ((0.147794 -0.128553))
                   ((0.273009 -0.168598)))
                  ((nn.ph_vheight is 3)
                   ((0.363247 0.0268851))
                   ((0.559587 -0.0104046)))))))
              ((n.name is u)
               ((ph_ctype is s)
                ((nn.ph_vc is -)
                 ((0.448185 0.0110699))
                 ((ph_cplace is l)
                  ((0.827244 0.381229))
                  ((1.14411 0.239399))))
                ((ph_ctype is f)
                 ((p.name is a)
                  ((0.644436 0.234152))
                  ((R:SylStructure.parent.last_accent < 0.5)
                   ((0.446746 0.0216836))
                   ((0.516121 -0.275732))))
                 ((ph_vfront is -)
                  ((lisp_onset_nasal is 0)
                   ((0.326397 -0.222476))
                   ((0.239921 -0.35035)))
                  ((0.589171 -0.506569)))))
               ((name is o1)
                ((p.name is i)
                 ((nn.ph_vc is -)
                  ((0.335412 -0.862276))
                  ((0.29809 -1.14032)))
                 ((p.name is k)
                  ((0.491698 -0.420016))
                  ((n.ph_cplace is a)
                   ((0.545775 -0.253631))
                   ((R:SylStructure.parent.last_accent < 0.3)
                    ((0.522714 0.121246))
                    ((0.654867 -0.0824745))))))
                ((name is o)
                 ((p.name is i)
                  ((0.612034 -0.793484))
                  ((p.name is s)
                   ((0.351782 -0.703751))
                   ((n.ph_cplace is d)
                    ((0.577498 -0.178685))
                    ((nn.ph_vheight is 1)
                     ((R:SylStructure.parent.last_accent < 0.3)
                      ((0.337038 -0.406096))
                      ((0.260639 -0.54794)))
                     ((p.name is D)
                      ((nn.ph_vc is -)
                       ((0.496049 -0.619202))
                       ((0.329404 -0.356105)))
                      ((nn.ph_vc is -)
                       ((n.ph_cplace is a)
                        ((R:SylStructure.parent.last_accent < 0.3)
                         ((R:SylStructure.parent.syl_break is 0)
                          ((0.333047 -0.152522))
                          ((0.327292 -0.260087)))
                         ((R:SylStructure.parent.syl_break is 0)
                          ((0.222079 -0.358491))
                          ((0.351743 -0.275362))))
                        ((R:SylStructure.parent.R:Syllable.p.stress
                          is
                          0)
                         ((0.881056 -0.208403))
                         ((0.718921 -0.483546))))
                       ((p.name is k)
                        ((0.295437 -0.5113))
                        ((n.ph_cplace is a)
                         ((0.551541 -0.377156))
                         ((0.482081 -0.290551))))))))))
                 ((p.name is u)
                  ((ph_vfront is -)
                   ((n.ph_cplace is d)
                    ((0.431357 -0.430474))
                    ((n.name is a)
                     ((0.236814 -0.397197))
                     ((ph_ctype is s)
                      ((0.671223 -0.0821646))
                      ((seg_onsetcoda is coda)
                       ((name is n)
                        ((0.378544 -0.180132))
                        ((0.239546 -0.405676)))
                       ((ph_ctype is f)
                        ((0.661898 -0.0272291))
                        ((0.420751 -0.261968)))))))
                   ((R:SylStructure.parent.R:Syllable.p.accented is 0)
                    ((name is e1)
                     ((0.45797 -0.669687))
                     ((0.737073 -0.376525)))
                    ((n.ph_cplace is a)
                     ((0.527258 -0.911972))
                     ((0.45904 -0.745399)))))
                  ((name is e1)
                   ((p.name is e)
                    ((1.72709 1.2796))
                    ((p.name is i)
                     ((nn.ph_vc is -)
                      ((0.270062 -0.420409))
                      ((0.298802 -0.461989)))
                     ((p.name is s)
                      ((1.21689 -0.424383))
                      ((p.name is t)
                       ((0.541627 -0.207652))
                       ((n.ph_cplace is a)
                        ((0.568645 -0.156352))
                        ((nn.ph_vc is -)
                         ((0.85778 0.0828477))
                         ((0.543344 -0.0507395))))))))
                   ((p.name is th)
                    ((name is i)
                     ((R:SylStructure.parent.last_accent < 2.5)
                      ((n.name is o1)
                       ((0.56486 -0.531402))
                       ((R:SylStructure.parent.syl_break is 0)
                        ((0.609173 -0.658931))
                        ((0.545954 -0.71753))))
                      ((0.444866 -0.788838)))
                     ((n.ph_vfront is -)
                      ((name is e)
                       ((0.467928 -0.183406))
                       ((0.413039 -0.481592)))
                      ((0.692309 0.132738))))
                    ((name is i)
                     ((n.name is e1)
                      ((p.name is k)
                       ((0.314921 -1.1733))
                       ((0.705218 -0.747598)))
                      ((n.ph_cplace is d)
                       ((n.name is th)
                        ((0.797117 0.229177))
                        ((0.98384 0.47656)))
                       ((n.name is a)
                        ((0.93053 0.356857))
                        ((R:SylStructure.parent.last_accent < 0.4)
                         ((nn.ph_vheight is 3)
                          ((0.562281 -0.143495))
                          ((nn.ph_vc is -)
                           ((R:SylStructure.parent.syl_break is 0)
                            ((0.641008 -0.112554))
                            ((0.824255 0.013976)))
                           ((0.753228 0.142063))))
                         ((n.ph_cplace is l)
                          ((0.688146 -0.00595547))
                          ((R:SylStructure.parent.syl_break is 0)
                           ((R:SylStructure.parent.sub_phrases < 0.2)
                            ((n.name is n)
                             ((0.764482 -0.202672))
                             ((n.ph_cplace is v)
                              ((0.393519 -0.299108))
                              ((0.497346 -0.377919))))
                            ((0.499837 -0.408416)))
                           ((0.935049 -0.073978))))))))
                     ((n.ph_vfront is -)
                      ((name is s)
                       ((n.ph_cplace is a)
                        ((p.name is a)
                         ((0.461591 -0.553382))
                         ((0.756067 -0.324901)))
                        ((n.ph_cplace is v)
                         ((nn.ph_vheight is 2)
                          ((0.285365 -0.649251))
                          ((0.315152 -0.472046)))
                         ((n.name is d)
                          ((p.name is e)
                           ((0.212429 -1.0084))
                           ((0.329877 -0.929874)))
                          ((n.name is p)
                           ((R:SylStructure.parent.R:Syllable.p.stress
                             is
                             0)
                            ((0.22947 -0.849335))
                            ((0.226647 -0.949138)))
                           ((n.name is t)
                            ((nn.ph_vheight is 2)
                             ((0.322109 -0.708839))
                             ((R:SylStructure.parent.R:Syllable.p.accented
                               is
                               0)
                              ((0.223016 -0.856789))
                              ((0.196012 -0.93192))))
                            ((n.name is b)
                             ((0.214283 -0.704824))
                             ((0.441332 -0.444281))))))))
                       ((ph_ctype is n)
                        ((n.name is d)
                         ((nn.ph_vheight is 2)
                          ((R:SylStructure.parent.syl_break is 0)
                           ((0.441005 0.178576))
                           ((0.230631 0.0488163)))
                          ((0.434305 0.292945)))
                         ((n.name is s)
                          ((0.290967 -0.388725))
                          ((n.ph_cplace is d)
                           ((nn.ph_vc is -)
                            ((0.235958 -0.356408))
                            ((p.name is e1)
                             ((R:SylStructure.parent.last_accent < 2.4)
                              ((lisp_onset_nasal is 0)
                               ((0.216138 -0.279684))
                               ((0.119327 -0.28798)))
                              ((0.163808 -0.195125)))
                             ((R:SylStructure.parent.R:Syllable.p.accented
                               is
                               0)
                              ((nn.ph_vheight is 2)
                               ((0.288105 -0.141827))
                               ((0.342767 -0.068322)))
                              ((0.221324 -0.164222)))))
                           ((n.name is l)
                            ((0.272637 -0.234583))
                            ((nn.ph_vc is -)
                             ((0.383962 -0.220889))
                             ((name is m)
                              ((0.586168 0.205554))
                              ((nn.ph_vheight is 1)
                               ((R:SylStructure.parent.last_accent
                                 <
                                 0.4)
                                ((0.305612 -0.0517175))
                                ((0.310447 -0.132832)))
                               ((n.name is k)
                                ((0.309298 0.121881))
                                ((R:SylStructure.parent.last_accent
                                  <
                                  0.4)
                                 ((0.460787 0.0815351))
                                 ((0.342991 0.00984286)))))))))))
                        ((name is k)
                         ((n.name is th)
                          ((0.383891 -1.60776))
                          ((n.name is t)
                           ((0.479098 -0.406068))
                           ((1.17033 -0.187277))))
                         ((n.name is l)
                          ((name is e)
                           ((R:SylStructure.parent.last_accent < 0.4)
                            ((0.491686 -0.665281))
                            ((0.416126 -0.910809)))
                           ((R:SylStructure.parent.last_accent < 0.4)
                            ((R:SylStructure.parent.R:Syllable.p.stress
                              is
                              0)
                             ((0.440789 -0.21939))
                             ((0.477772 -0.291428)))
                            ((nn.ph_vheight is 3)
                             ((0.41188 -0.27931))
                             ((name is a)
                              ((0.14752 -0.362398))
                              ((0.511944 -0.524896))))))
                          ((ph_vfront is 3)
                           ((p.name is k)
                            ((0.473227 -0.47381))
                            ((R:SylStructure.parent.last_accent < 1.2)
                             ((n.name is s)
                              ((0.69269 0.191066))
                              ((nn.ph_vc is -)
                               ((R:SylStructure.parent.last_accent
                                 <
                                 0.1)
                                ((0.484983 -0.218696))
                                ((0.52399 -0.34745)))
                               ((p.name is s)
                                ((0.431182 -0.37816))
                                ((R:SylStructure.parent.R:Syllable.p.accented
                                  is
                                  0)
                                 ((1.009 0.33752))
                                 ((0.801542 0.118512))))))
                             ((0.707308 -0.28976))))
                           ((p.name is x)
                            ((0.669206 0.167199))
                            ((n.name is B)
                             ((name is a)
                              ((0.110618 -0.326115))
                              ((0.655533 -0.773759)))
                             ((n.ph_cplace is d)
                              ((ph_vfront is 2)
                               ((nn.ph_vc is -)
                                ((0.315174 -0.0615899))
                                ((R:SylStructure.parent.last_accent
                                  <
                                  2.5)
                                 ((R:SylStructure.parent.sub_phrases
                                   <
                                   0.3)
                                  ((nn.ph_vheight is 1)
                                   ((0.225744 -0.157518))
                                   ((R:SylStructure.parent.last_accent
                                     <
                                     0.2)
                                    ((0.38056 -0.246955))
                                    ((R:SylStructure.parent.last_accent
                                      <
                                      1.1)
                                     ((0.245173 -0.332263))
                                     ((0.467743 -0.253354)))))
                                  ((0.456922 -0.366584)))
                                 ((0.464524 -0.399158))))
                               ((name is l)
                                ((nn.ph_vheight is 2)
                                 ((0.31418 -0.205699))
                                 ((0.248799 -0.213379)))
                                ((nn.ph_vheight is 1)
                                 ((0.664609 -0.179443))
                                 ((R:SylStructure.parent.syl_break
                                   is
                                   0)
                                  ((0.686795 0.0814377))
                                  ((0.597774 -0.10038))))))
                              ((ph_vfront is 2)
                               ((p.name is p)
                                ((0.342855 0.0129448))
                                ((p.name is e)
                                 ((0.317241 -0.412434))
                                 ((nn.ph_vheight is 3)
                                  ((name is a)
                                   ((p.name is ll)
                                    ((0.0717292 -0.290684))
                                    ((R:SylStructure.parent.R:Syllable.p.accented
                                      is
                                      0)
                                     ((0.206597 -0.206373))
                                     ((n.ph_cplace is a)
                                      ((0.095347 -0.22336))
                                      ((0.129676 -0.254162)))))
                                   ((1.1349 0.092913)))
                                  ((R:SylStructure.parent.last_accent
                                    <
                                    0.5)
                                   ((p.name is i)
                                    ((0.191008 -0.331655))
                                    ((nn.ph_vheight is 1)
                                     ((0.189745 -0.286267))
                                     ((n.name is s)
                                      ((p.name is D)
                                       ((0.103704 -0.270197))
                                       ((0.204732 -0.250843)))
                                      ((n.ph_cplace is v)
                                       ((0.302123 -0.243911))
                                       ((n.name is n)
                                        ((0.446163 -0.24917))
                                        ((R:SylStructure.parent.R:Syllable.p.stress
                                          is
                                          0)
                                         ((0.341702 -0.136746))
                                         ((0.227098 -0.17917))))))))
                                   ((n.ph_cplace is v)
                                    ((0.343746 -0.427221))
                                    ((nn.ph_vc is -)
                                     ((name is a)
                                      ((0.156025 -0.329319))
                                      ((0.556331 -0.414121)))
                                     ((n.ph_cplace is l)
                                      ((0.549491 -0.332839))
                                      ((0.580569 -0.220001)))))))))
                               ((p.name is o)
                                ((0.425799 -0.687783))
                                ((R:SylStructure.parent.last_accent
                                  <
                                  0.5)
                                 ((R:SylStructure.parent.R:Syllable.p.accented
                                   is
                                   0)
                                  ((0.558835 0.0725736))
                                  ((n.name is n)
                                   ((nn.ph_vc is -)
                                    ((0.527496 -0.217673))
                                    ((0.367803 -0.109276)))
                                   ((R:SylStructure.parent.sub_phrases
                                     <
                                     0.5)
                                    ((R:SylStructure.parent.R:Syllable.p.stress
                                      is
                                      0)
                                     ((ph_vfront is -)
                                      ((0.679567 -0.28555))
                                      ((0.537637 -0.498435)))
                                     ((nn.ph_vc is -)
                                      ((0.508292 -0.127412))
                                      ((n.ph_cplace is l)
                                       ((0.407346 -0.389411))
                                       ((n.ph_cplace is v)
                                        ((0.370141 -0.379839))
                                        ((0.519921 -0.23775))))))
                                    ((0.483232 -0.516763)))))
                                 ((p.name is e)
                                  ((0.431614 -0.58908))
                                  ((p.name is a)
                                   ((0.553741 -0.569617))
                                   ((p.name is t)
                                    ((0.457272 -0.514009))
                                    ((n.ph_cplace is a)
                                     ((R:SylStructure.parent.syl_break
                                       is
                                       0)
                                      ((0.753249 -0.11463))
                                      ((0.588943 -0.296469)))
                                     ((name is i1)
                                      ((0.506424 -0.504064))
                                      ((R:SylStructure.parent.last_accent
                                        <
                                        1.4)
                                       ((n.ph_cplace is v)
                                        ((0.547084 -0.290394))
                                        ((0.552331 -0.224305)))
                                       ((0.598425 -0.472482)))))))))))))))))))
                      ((name is s)
                       ((nn.ph_vc is -)
                        ((n.name is e)
                         ((seg_onsetcoda is coda)
                          ((0.270896 -0.168307))
                          ((0.431487 -0.0722835)))
                         ((n.name is i)
                          ((R:SylStructure.parent.syl_break is 0)
                           ((0.336397 -0.173324))
                           ((0.544373 0.0950009)))
                          ((seg_onsetcoda is coda)
                           ((0.408086 0.0425413))
                           ((R:SylStructure.parent.R:Syllable.p.accented
                             is
                             0)
                            ((n.ph_vfront is 1)
                             ((0.355327 0.184684))
                             ((0.384859 0.123354)))
                            ((0.357186 0.357925))))))
                        ((p.name is e)
                         ((0.343831 0.252178))
                         ((0.432583 0.346311))))
                       ((nn.ph_vc is -)
                        ((p.name is l)
                         ((ph_cplace is v)
                          ((1.27932 0.25703))
                          ((ph_cplace is d)
                           ((pp.ph_vrnd is -)
                            ((0.808661 0.105411))
                            ((0.636438 -0.218655)))
                           ((ph_vfront is 2)
                            ((0.294063 -0.394522))
                            ((ph_ctype is s)
                             ((0.282162 -0.300641))
                             ((name is m)
                              ((0.302571 -0.176245))
                              ((0.663671 -0.159727)))))))
                         ((p.name is k)
                          ((name is t)
                           ((0.879726 -0.89397))
                           ((name is u)
                            ((0.442203 -0.798524))
                            ((0.667939 -0.20081))))
                          ((name is u)
                           ((R:SylStructure.parent.R:Syllable.p.accented
                             is
                             0)
                            ((0.967518 0.307496))
                            ((0.778748 -0.366435)))
                           ((p.name is t)
                            ((name is e)
                             ((0.791128 -0.895565))
                             ((0.991119 -0.509305)))
                            ((ph_ctype is s)
                             ((lisp_coda_stop is 0)
                              ((p.name is a)
                               ((ph_cplace is d)
                                ((R:SylStructure.parent.syl_break is 0)
                                 ((0.454895 -0.102299))
                                 ((0.273795 -0.270306)))
                                ((n.name is a)
                                 ((0.279323 -0.702037))
                                 ((name is p)
                                  ((0.38545 -0.550286))
                                  ((n.ph_vfront is 3)
                                   ((0.418808 -0.455222))
                                   ((name is b)
                                    ((0.169024 -0.427898))
                                    ((0.618092 -0.187681)))))))
                               ((p.name is o)
                                ((ph_cvox is -)
                                 ((R:SylStructure.parent.syl_break
                                   is
                                   0)
                                  ((0.498643 -0.409925))
                                  ((0.429718 -0.51633)))
                                 ((0.164889 -0.292219)))
                                ((n.name is o1)
                                 ((0.811848 0.137664))
                                 ((ph_cplace is l)
                                  ((n.name is e)
                                   ((0.397935 0.13132))
                                   ((p.name is e)
                                    ((0.276697 -0.222885))
                                    ((n.name is o)
                                     ((0.363142 -0.101807))
                                     ((0.40893 -0.0548583)))))
                                  ((R:SylStructure.parent.last_accent
                                    <
                                    1.5)
                                   ((pp.ph_vrnd is -)
                                    ((R:SylStructure.parent.syl_break
                                      is
                                      0)
                                     ((ph_cplace is d)
                                      ((R:SylStructure.parent.sub_phrases
                                        <
                                        0.3)
                                       ((n.name is e)
                                        ((0.388313 -0.185473))
                                        ((0.553284 -0.142762)))
                                       ((0.563672 0.0596382)))
                                      ((n.name is o)
                                       ((0.39754 -0.176402))
                                       ((0.476887 -0.448665))))
                                     ((n.name is o)
                                      ((0.53675 -0.415206))
                                      ((n.name is e)
                                       ((name is d)
                                        ((0.26997 -0.253617))
                                        ((0.468969 -0.323307)))
                                       ((0.564871 -0.164901)))))
                                    ((0.547713 -0.0990023)))
                                   ((n.name is a1)
                                    ((0.52649 -0.243349))
                                    ((p.name is i)
                                     ((0.467873 -0.621878))
                                     ((0.643584 -0.414249)))))))))
                              ((0.770254 0.199133)))
                             ((n.name is e)
                              ((ph_cplace is l)
                               ((0.24204 -0.129408))
                               ((name is D)
                                ((0.541997 -0.886206))
                                ((lisp_onset_nasal is 0)
                                 ((R:SylStructure.parent.last_accent
                                   <
                                   0.4)
                                  ((seg_onsetcoda is coda)
                                   ((0.420863 -0.510298))
                                   ((0.48927 -0.250888)))
                                  ((p.name is e)
                                   ((0.305676 -0.586797))
                                   ((0.395569 -0.457093))))
                                 ((0.357577 -0.606584)))))
                              ((ph_vfront is 1)
                               ((1.24949 0.0804307))
                               ((R:SylStructure.parent.last_accent
                                 <
                                 1.2)
                                ((ph_cplace is b)
                                 ((0.509154 -0.0278654))
                                 ((ph_cplace is p)
                                  ((R:SylStructure.parent.R:Syllable.p.accented
                                    is
                                    0)
                                   ((0.586991 -0.219472))
                                   ((R:SylStructure.parent.syl_break
                                     is
                                     0)
                                    ((0.525988 -0.604548))
                                    ((0.571422 -0.655322))))
                                  ((n.name is o)
                                   ((ph_ctype is l)
                                    ((0.18108 -0.466545))
                                    ((name is m)
                                     ((0.237364 -0.452063))
                                     ((0.704574 -0.327337))))
                                   ((n.name is e1)
                                    ((ph_cplace is a)
                                     ((0.219817 -0.493513))
                                     ((0.481998 -0.361411)))
                                    ((R:SylStructure.parent.sub_phrases
                                      <
                                      0.3)
                                     ((p.name is i)
                                      ((0.305211 -0.141302))
                                      ((R:SylStructure.parent.last_accent
                                        <
                                        0.1)
                                       ((ph_cplace is a)
                                        ((n.name is a)
                                         ((0.265831 -0.332414))
                                         ((0.34011 -0.224892)))
                                        ((R:SylStructure.parent.R:Syllable.p.stress
                                          is
                                          0)
                                         ((1.16298 0.055689))
                                         ((0.581562 -0.227185))))
                                       ((n.name is o1)
                                        ((0.553822 -0.133275))
                                        ((n.name is i1)
                                         ((0.362006 -0.227211))
                                         ((p.name is a)
                                          ((0.316848 -0.42908))
                                          ((n.name is i)
                                           ((0.377512 -0.392817))
                                           ((0.288961 -0.267672))))))))
                                     ((ph_ctype is n)
                                      ((0.232216 -0.319418))
                                      ((R:SylStructure.parent.R:Syllable.p.accented
                                        is
                                        0)
                                       ((0.28005 -0.38058))
                                       ((0.437681 -0.423637)))))))))
                                ((ph_cvox is -)
                                 ((n.ph_vfront is 1)
                                  ((0.522253 -0.691336))
                                  ((0.478413 -0.409323)))
                                 ((p.name is i)
                                  ((n.ph_vfront is 1)
                                   ((0.210808 -0.292101))
                                   ((R:SylStructure.parent.last_accent
                                     <
                                     2.3)
                                    ((0.464179 -0.183716))
                                    ((0.328001 -0.238726))))
                                  ((n.name is e1)
                                   ((name is m)
                                    ((0.19608 -0.493549))
                                    ((0.304335 -0.506621)))
                                   ((name is n)
                                    ((0.244663 -0.495529))
                                    ((ph_ctype is f)
                                     ((0.485401 -0.488341))
                                     ((name is l)
                                      ((0.209608 -0.341437))
                                      ((name is m)
                                       ((0.219528 -0.335235))
                                       ((0.465009 -0.180919)))))))))))))))))
                        ((ph_cvox is -)
                         ((R:SylStructure.parent.last_accent < 2.5)
                          ((ph_ctype is f)
                           ((R:SylStructure.parent.last_accent < 1.2)
                            ((0.948173 0.421322))
                            ((0.70687 0.24174)))
                           ((nn.ph_vheight is 1)
                            ((0.845079 -0.0983425))
                            ((R:SylStructure.parent.R:Syllable.p.accented
                              is
                              0)
                             ((0.759816 0.281582))
                             ((0.862673 0.149856)))))
                          ((0.70383 -0.197784)))
                         ((n.name is e)
                          ((nn.ph_vheight is 2)
                           ((0.357027 -0.133202))
                           ((ph_ctype is s)
                            ((0.334184 -0.328197))
                            ((0.54188 -0.547939))))
                          ((ph_ctype is n)
                           ((0.270132 -0.295989))
                           ((n.name is i1)
                            ((0.228714 -0.319092))
                            ((n.name is a)
                             ((0.330433 -0.272654))
                             ((ph_ctype is l)
                              ((0.886017 0.0506926))
                              ((R:SylStructure.parent.syl_break is 0)
                               ((0.520191 -0.154199))
                               ((0.392021 -0.0470657)))))))))))))))))))))))))))))))))
)
)


(provide 'JuntaDeAndalucia_es_pa_durtreeZ_dur)


